Subject: Re: [Bitcoin-development] About the small number of bitcoin nodes

From: Wladimir <[email-masked]>
Date: Mon, 19 May 2014 14:44:24 +0200

On Mon, May 19, 2014 at 11:26 AM, Bjørn Øivind Bjørnsen
<[email-masked]> wrote:
> On 18/05/14 19:43, Raúl Martínez wrote:
>> <snip some good ideas>
>
> As an interested party not intimately familiar with the bitcoin codebase
> who also spent some time setting up a node a while ago, I would like to
> add one thing to the above list - network rate limiting.

There is already an (old) patch that implements that. It won't be
merged, though, until headers-first and parallel block download is in.
Only when the node can download blocks from multiple peers at once it
is really safe to allow limiting rates.

(sure - there are tricks to limit rates anyway, like the script in
contrib/qos, but to have it generally available the block download
needs to be more robust first)

Wladimir